<?xml version='1.0'?>
<bidi:Definition xmlns:bidi='http://schemas.microsoft.com/windows/2005/03/printing/bidi'>

  <Schema xmlns:nprt='http://schemas.microsoft.com/windows/2006/08/wdp/print'
          xmlns:hpprt="http://tempuri.org/hpprt.xsd"
          xmlns:wprt="http://schemas.microsoft.com/windows/2006/08/wdp/print">
    <Property name='Printer'>

      <Property name='Status'>
        <Property name='Summary'>

          <Value name='StateReason' query='nprt:PrinterStatus' filter='nprt:PrinterStatus/nprt:PrinterPrimaryStateReason' type='BIDI_STRING'/>
        </Property>
      </Property>
      <Property name='Layout'>
        <Property name='InputBins'>
          <Parameter name='Tray001' parameter='TrayName' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry/@wprt:Name'>
            <Installed name='Installed' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 1"]' drvPrinterEvent='true'/>
            <Value name='MediaSize' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 1"]/wprt:MediaSize' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaType' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 1"]/wprt:MediaType' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaColor' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 1"]/wprt:MediaColor' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='FeedDirection' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 1"]/wprt:FeedDirection' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='Capacity' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 1"]/wprt:Capacity' type='BIDI_INT' drvPrinterEvent='true'/>
            <Value name='Level' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 1"]/wprt:Level' type='BIDI_INT' drvPrinterEvent='true'/>
          </Parameter>

          <Parameter name='Tray002' parameter='TrayName' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry/@wprt:Name'>
            <Installed name='Installed' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 2"]' drvPrinterEvent='true'/>
            <Value name='MediaSize' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 2"]/wprt:MediaSize' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaType' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 2"]/wprt:MediaType' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaColor' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 2"]/wprt:MediaColor' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='FeedDirection' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 2"]/wprt:FeedDirection' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='Capacity' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 2"]/wprt:Capacity' type='BIDI_INT' drvPrinterEvent='true'/>
            <Value name='Level' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 2"]/wprt:Level' type='BIDI_INT' drvPrinterEvent='true'/>
          </Parameter>

          <Parameter name='Tray003' parameter='TrayName' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry/@wprt:Name'>
            <Installed name='Installed' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 3"]' drvPrinterEvent='true'/>
            <Value name='MediaSize' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 3"]/wprt:MediaSize' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaType' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 3"]/wprt:MediaType' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaColor' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 3"]/wprt:MediaColor' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='FeedDirection' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 3"]/wprt:FeedDirection' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='Capacity' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 3"]/wprt:Capacity' type='BIDI_INT' drvPrinterEvent='true'/>
            <Value name='Level' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 3"]/wprt:Level' type='BIDI_INT' drvPrinterEvent='true'/>
          </Parameter>


          <Parameter name='Tray005' parameter='TrayName' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry/@wprt:Name'>
            <Installed name='Installed' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 4"]' drvPrinterEvent='true'/>
            <Value name='MediaSize' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 4"]/wprt:MediaSize' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaType' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 4"]/wprt:MediaType' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaColor' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 4"]/wprt:MediaColor' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='FeedDirection' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 4"]/wprt:FeedDirection' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='Capacity' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 4"]/wprt:Capacity' type='BIDI_INT' drvPrinterEvent='true'/>
            <Value name='Level' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 4"]/wprt:Level' type='BIDI_INT' drvPrinterEvent='true'/>
          </Parameter>


          <Parameter name='Tray006' parameter='TrayName' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry/@wprt:Name'>
            <Installed name='Installed' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 5"]' drvPrinterEvent='true'/>
            <Value name='MediaSize' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 5"]/wprt:MediaSize' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaType' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 5"]/wprt:MediaType' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaColor' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 5"]/wprt:MediaColor' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='FeedDirection' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 5"]/wprt:FeedDirection' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='Capacity' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 5"]/wprt:Capacity' type='BIDI_INT' drvPrinterEvent='true'/>
            <Value name='Level' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 5"]/wprt:Level' type='BIDI_INT' drvPrinterEvent='true'/>
          </Parameter>

          <Parameter name='Tray007' parameter='TrayName' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry/@wprt:Name'>
            <Installed name='Installed' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 6"]' drvPrinterEvent='true'/>
            <Value name='MediaSize' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 6"]/wprt:MediaSize' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaType' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 6"]/wprt:MediaType' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaColor' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 6"]/wprt:MediaColor' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='FeedDirection' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 6"]/wprt:FeedDirection' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='Capacity' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 6"]/wprt:Capacity' type='BIDI_INT' drvPrinterEvent='true'/>
            <Value name='Level' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Tray 6"]/wprt:Level' type='BIDI_INT' drvPrinterEvent='true'/>
          </Parameter>
          <Parameter name='Tray004' parameter='TrayName' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry/@wprt:Name'>
            <Installed name='Installed' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Envelope Feeder"]' drvPrinterEvent='true'/>
            <Value name='MediaSize' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Envelope Feeder"]/wprt:MediaSize' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaType' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Envelope Feeder"]/wprt:MediaType' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='MediaColor' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Envelope Feeder"]/wprt:MediaColor' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='FeedDirection' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Envelope Feeder"]/wprt:FeedDirection' type='BIDI_STRING' drvPrinterEvent='true'/>
            <Value name='Capacity' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Envelope Feeder"]/wprt:Capacity' type='BIDI_INT' drvPrinterEvent='true'/>
            <Value name='Level' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:InputBins/wprt:InputBinEntry[@wprt:Name="Envelope Feeder"]/wprt:Level' type='BIDI_INT' drvPrinterEvent='true'/>
          </Parameter>

        </Property>
      </Property>


      <Property name='Finishing'>
        <Property name='OutputBins'>
          <Value name='ConvertMode' query='wprt:PrinterConfiguration' filter='wprt:PrinterConfiguration/wprt:OutputBins/wprt:OutputBinEntry/@hpprt:Model' type='BIDI_STRING'/>
        </Property>
      </Property>


    </Property>
  </Schema>
  <PortStatus>
    <Status>
      <Keyword>None</Keyword>
      <Code>0</Code>
      <Severity>0</Severity>
    </Status>
    <Status>
      <Keyword>AttentionRequired</Keyword>
      <Code>8</Code>
      <Severity>1</Severity>
    </Status>
    <Status>
      <Keyword>DoorOpen</Keyword>
      <Code>7</Code>
      <Severity>1</Severity>
    </Status>
    <Status>
      <Keyword>MarkerFailure</Keyword>
      <ResourceIdOffset>0</ResourceIdOffset>
      <Severity>1</Severity>
    </Status>
    <Status>
      <Keyword>MarkerSupplyLow</Keyword>
      <Code>10</Code>
      <Severity>2</Severity>
    </Status>
    <Status>
      <Keyword>MarkerSupplyEmpty</Keyword>
      <Code>6</Code>
      <Severity>1</Severity>
    </Status>
    <Status>
      <Keyword>MediaEmpty</Keyword>
      <Code>3</Code>
      <Severity>1</Severity>
    </Status>
    <Status>
      <Keyword>MediaJam</Keyword>
      <Code>2</Code>
      <Severity>1</Severity>
    </Status>
    <Status>
      <Keyword>MediaLow</Keyword>
      <ResourceIdOffset>1</ResourceIdOffset>
      <Severity>2</Severity>
    </Status>
    <Status>
      <Keyword>MediaNeeded</Keyword>
      <Code>5</Code>
      <Severity>1</Severity>
    </Status>
    <Status>
      <Keyword>OutputAreaAlmostFull</Keyword>
      <ResourceIdOffset>2</ResourceIdOffset>
      <Severity>2</Severity>
    </Status>
    <Status>
      <Keyword>OutputAreaFull</Keyword>
      <Code>4</Code>
      <Severity>1</Severity>
    </Status>
    <Status>
      <Keyword>Paused</Keyword>
      <ResourceIdOffset>3</ResourceIdOffset>
      <Severity>3</Severity>
    </Status>
  </PortStatus>
</bidi:Definition>